fails to work on ff 3.6.2 Noté 1 sur 5 étoiles

too bad. doesn't work on firefox 3.6.2 (tested on win XP 32)
would be be super useful if working